VARKON Version 1.15 1997-10-24

> ## cdim - Geometric procedure

> Creates a circular dimension
> Description
> Creates a horisontal, vertical or parallel circular dimension with or without text.
> Syntax
> cdim(id, ref, p, alt:attributes);

> REF | id;
> REF | ref;
> VECTOR | p;
> INT | alt.

> Principal parameters

> id | - Local identity
> ref | - Identity of arc
> p | - Position of text
> alt | - Horisontal(0), vertical(1) or parallel(2)

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> DTSIZ | - Textsize
> DASIZ | - Arrowsize
> DNDIG | - Number of decimal places
> DAUTO | - Automatic text(1) or no text(0)

> Example
> cdim(#10,#5,vec(50,20),1);
> A vertical dimension.
> Comments
> cdim can only be used in a 2D module.

VARKON Homepage | Index